Bug 1118512 - glusterfs will not install on RHEL 6.4 client when system is registered with EUS
Summary: glusterfs will not install on RHEL 6.4 client when system is registered with EUS
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Sreenath G
QA Contact: Jonathan Holloway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 22:33 UTC by Jonathan Holloway
Modified: 2015-05-13 17:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 11:52:50 UTC


Attachments (Terms of Use)

Description Jonathan Holloway 2014-07-10 22:33:24 UTC
Description of problem:
Installing glusterfs package fails due to dependencies on RHEL 6.4 client when system is registered to EUS channel

Version-Release number of selected component (if applicable):
glusterfs-3.6.0.24-1.el6.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Install RHEL 6.4
2. Register system to EUS channel
    # rhnreg_ks --profilename=<FQDN> --username=<USERNAME> --password=<PASSWORD> --force --use-eus-channel
3. Install glusterfs
    # yum install glusterfs

Actual results:
* Install fails with dependency errors when registered with --use-eus-channel...
    Error: Package: glusterfs-libs-3.6.0.24-1.el6.x86_64 (rhs)
               Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
    Error: Package: glusterfs-3.6.0.24-1.el6.x86_64 (rhs)
               Requires: libssl.so.10(libssl.so.10)(64bit)
    Error: Package: glusterfs-3.6.0.24-1.el6.x86_64 (rhs)
               Requires: libcrypto.so.10(libcrypto.so.10)(64bit)

* Install succeeds when registered without --use-eus-channel.

Expected results:
* glusterfs should install along with dependencies when registered to EUS channel on RHEL 6.4
or
* registering to non-EUS channel workaround should be documented in release notes

Additional info:
Full output of testing...

[root@storage-qe07 ~]# rhnreg_ks --profilename=<FQDN> --username=<USERNAME> --password=<PASSWORD> --force --use-eus-channel
[root@storage-qe07 ~]# rhn-channel --list
rhel-x86_64-server-6.4.z
[root@storage-qe07 ~]# yum install glusterfs
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.6.0.24-1.el6 will be installed
--> Processing Dependency: glusterfs-libs = 3.6.0.24-1.el6 for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libglusterfs.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfxdr.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfrpc.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Running transaction check
---> Package glusterfs.x86_64 0:3.6.0.24-1.el6 will be installed
--> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
---> Package glusterfs-api.x86_64 0:3.6.0.24-1.el6 will be installed
---> Package glusterfs-libs.x86_64 0:3.6.0.24-1.el6 will be installed
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: glusterfs-libs-3.6.0.24-1.el6.x86_64
--> Finished Dependency Resolution
Error: Package: glusterfs-libs-3.6.0.24-1.el6.x86_64 (rhs)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: glusterfs-3.6.0.24-1.el6.x86_64 (rhs)
           Requires: libssl.so.10(libssl.so.10)(64bit)
Error: Package: glusterfs-3.6.0.24-1.el6.x86_64 (rhs)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


[root@storage-qe07 ~]# rhnreg_ks --profilename=<FQDN> --username=<USERNAME> --password=<PASSWORD> --force
[root@storage-qe07 ~]# rhn-channel --list
rhel-x86_64-server-6
[root@storage-qe07 ~]# yum install glusterfs
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.6.0.24-1.el6 will be installed
--> Processing Dependency: glusterfs-libs = 3.6.0.24-1.el6 for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libglusterfs.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfxdr.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfrpc.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: glusterfs-3.6.0.24-1.el6.x86_64
--> Running transaction check
---> Package glusterfs-api.x86_64 0:3.6.0.24-1.el6 will be installed
---> Package glusterfs-libs.x86_64 0:3.6.0.24-1.el6 will be installed
---> Package openssl.x86_64 0:1.0.0-27.el6 will be updated
--> Processing Dependency: openssl = 1.0.0-27.el6 for package: openssl-devel-1.0.0-27.el6.x86_64
---> Package openssl.x86_64 0:1.0.1e-16.el6_5.14 will be an update
--> Running transaction check
---> Package openssl-devel.x86_64 0:1.0.0-27.el6 will be updated
---> Package openssl-devel.x86_64 0:1.0.1e-16.el6_5.14 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================================
 Package                                      Arch                                 Version                                           Repository                                          Size
==============================================================================================================================================================================================
Installing:
 glusterfs                                    x86_64                               3.6.0.24-1.el6                                    rhs                                                1.3 M
Installing for dependencies:
 glusterfs-api                                x86_64                               3.6.0.24-1.el6                                    rhs                                                 54 k
 glusterfs-libs                               x86_64                               3.6.0.24-1.el6                                    rhs                                                260 k
Updating for dependencies:
 openssl                                      x86_64                               1.0.1e-16.el6_5.14                                rhel-x86_64-server-6                               1.5 M
 openssl-devel                                x86_64                               1.0.1e-16.el6_5.14                                rhel-x86_64-server-6                               1.2 M

Transaction Summary
==============================================================================================================================================================================================
Install       3 Package(s)
Upgrade       2 Package(s)

Total download size: 4.3 M

Comment 1 Nagaprasad Sathyanarayana 2014-07-11 07:31:40 UTC
Check if the RHS channel was subscribed to.

Comment 2 Rejy M Cyriac 2014-07-11 07:38:18 UTC
(In reply to Nagaprasad Sathyanarayana from comment #1)
> Check if the RHS channel was subscribed to.

Do you mean subscribing to RHS-Client channel, as this involves installing glusterfs client packages.

Comment 3 Jonathan Holloway 2014-07-13 14:59:16 UTC
(In reply to Nagaprasad Sathyanarayana from comment #1)
> Check if the RHS channel was subscribed to.

There wasn't an RHS-Client channel under the 6.4.z base channel.

However, when using the mainline base channel, I can see the client channel
rhel-x86_64-server-rhsclient-6


Note You need to log in before you can comment on or make changes to this bug.